# Mark as Accept

## Push the Order in Accepted state

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}patient/orders/mark_as_accept`](https://api.evitalrx.in/v1/patient/orders/mark_as_accept)

This API marks the order in the accepted state.

#### Request Body

| Name                                        | Type   | Description                                    |
| ------------------------------------------- | ------ | ---------------------------------------------- |
| apikey<mark style="color:red;">\*</mark>    | String | Authentication token                           |
| order\_id<mark style="color:red;">\*</mark> | String | Order ID from the response of Place Order API. |

{% tabs %}
{% tab title="200: OK Order accepted successfully." %}

```json
{
    "status_code": "1",
    "status_message": "Order accepted successfully",
    "datetime": "2023-03-21 16:07:42",
    "ng_version": "0.0.378",
    "data": null
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "order_id is required",
    "datetime": "2023-03-09 17:03:38",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-patient-app/orders/mark-as-accept.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
